<?php
if(!defined('VALID_CMS')) { die('ACCESS DENIED'); }

function itemPageBar($type, $current, $perpage){
    $inCore = cmsCore::getInstance();
    $inDB = cmsDatabase::getInstance();
    global $_LANG;
	$html = '';
	$result = $inDB->query("SELECT id FROM cms_audio WHERE published = 1") ;
	$records = $inDB->num_rows($result);
	if ($records){
		$pages = ceil($records / $perpage);
		if($pages>1){
			$html .= '<div class="pagebar">';
			$html .= '<span class="pagebar_title"><strong>'.$_LANG['PAGES'].': </strong></span>';
			for ($p=1; $p<=$pages; $p++){
				if ($p != $current) {			
					$link = '/media/'.$type.'/page_'.$p;
					$html .= ' <a href="'.$link.'" class="pagebar_page">'.$p.'</a> ';		
				} else {
					$html .= '<span class="pagebar_current">'.$p.'</span>';
				}
			}
			$html .= '</div>';
		}
	}
	return $html;
}

function media(){

    $inCore = cmsCore::getInstance();   
    $inPage = cmsPage::getInstance();     
    $inDB   = cmsDatabase::getInstance();  

	$cfg    = $inCore->loadComponentConfig('media');
	
	$id = $inCore->request('id', 'int', 0);
	$do = $inCore->request('do', 'str', 'view');
	
	$inPage->addHeadCSS('components/media/css/m_styles.css');

//============================================================================//

	if ($do=='videoview'){
		
		$type = 'video';
		
		$page = $inCore->request('page', 'int', 1);
		$perpage = $cfg['vperpage'];
		
		if ($perpage > 0) {

		if (isset($_REQUEST['page'])) { $page = abs((int)$_REQUEST['page']); } else { $page = 1; }

		$sql = "SELECT *
				FROM cms_video
				WHERE published = 1
				ORDER BY pubdate DESC
				LIMIT ".(($page-1)*$perpage).", $perpage";
		
		} else {
		
		$sql = "SELECT *
				FROM cms_video
				WHERE published = 1
				ORDER BY pubdate DESC";		
		}
		
		$result = $inDB->query($sql);
		
		if ($inDB->num_rows($result)){	
			$items = array();
		while($con = $inDB->fetch_assoc($result)){
			$items[] = $con;	
		}
		
			$smarty = $inCore->initSmarty('components', 'com_video_view.tpl');
			$smarty->assign('pagebar', itemPageBar($type, $page, $perpage));	
			$smarty->assign('items', $items);
			$smarty->assign('cfg',$cfg);
			$inPage = cmsPage::getInstance();
			$smarty->display('com_video_view.tpl');	

		$is_items = true;		
		} else {
		$is_items = false;
		}
		
	}
	
	if ($do=='audioview'){
		
		$type = 'audio';
		
		$page = $inCore->request('page', 'int', 1);
		$perpage = $cfg['aperpage'];
		
		if ($perpage > 0) {

		if (isset($_REQUEST['page'])) { $page = abs((int)$_REQUEST['page']); } else { $page = 1; }
		
		$sql = "SELECT *
				FROM cms_audio
				WHERE published = 1
				ORDER BY pubdate DESC
				LIMIT ".(($page-1)*$perpage).", $perpage";
		
		} else {
		
		$sql = "SELECT *
				FROM cms_audio
				WHERE published = 1
				ORDER BY pubdate DESC";		
		}
			
		$result = $inDB->query($sql);
		
		if ($inDB->num_rows($result)){	
			$items = array();
		while($con = $inDB->fetch_assoc($result)){
			$items[] = $con;	
		}
		
			$smarty = $inCore->initSmarty('components', 'com_audio_view.tpl');
			$smarty->assign('items', $items);
			$smarty->assign('cfg',$cfg);
			$smarty->assign('pagebar', itemPageBar($type, $page, $perpage));	
			$smarty->display('com_audio_view.tpl');	
		
		$is_items = true;		
		} else {
		$is_items = false;
		}
			
	}
	
	
	if ($do=='read'){
		
		$id = $inCore->Request('id', 'int');
		
				$sql = "SELECT *
				FROM cms_video
				WHERE id = '$id'
				ORDER BY pubdate DESC";
		
		$result = $inDB->query($sql);
		
		if ($inDB->num_rows($result)){
			
			$items = array();
			$i=0;
			while ($items = $inDB->fetch_assoc($result)) {
			$i++;
			$item[$i][title] = $items[title];
			$path = $items[title];
			$item[$i][description] = $items[description];
			$item[$i][file] = '/videofiles/flv/'.$items[file];
			$item[$i][date] = $items[pubdate];
			$item[$i][img] = '/videofiles/big/'.$items[img];
			}
		}
		
		$inPage->setTitle($path);
		$inPage->addPathway($path);
		$smarty = $inCore->initSmarty('components', 'com_video_read.tpl');
		$smarty->assign('cfg',$cfg);
		$smarty->assign('item', $item);			
		$smarty->display('com_video_read.tpl');
	}
//============================================================================//

}
?>